<!DOCTYPE html>
    <html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <link rel="stylesheet" type="text/css" media="all" th:href="@{/css/bootstrap.min.css}">

        <title>Sign Up</title>
    </head>
    <body class="p-3 mb-2 bg-light text-black">
        <div class="container justify-content-center w-50 p-3" style="background-color: #eeeeee; margin-top: 5em;">
            <div class="form-group">
                <label><a th:href="@{/login}">Back to Login</a></label>
            </div>

            <h1 class="display-5">Sign Up</h1>
            <form th:action="@{/signup}" action="#" method="POST">
                <div th:if="${signupSuccess}" class="alert alert-dark">
                    You successfully signed up! Please continue to the <a th:href="@{/login}" id="loginButton">login</a> page.
                </div>
                <div th:if="${signUpError}" class="alert alert-danger">
                    <span th:text="${signUpError}"></span>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="inputFirstName">First Name</label>
                        <input type="input" name="firstName" class="form-control" id="inputFirstName" placeholder="Enter First Name" maxlength="20" required>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputLastName">Last Name</label>
                        <input type="input" name="lastName" class="form-control" id="inputLastName" placeholder="Enter Last Name" maxlength="20" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="inputUsername">Username</label>
                        <input type="input" name="username" class="form-control" id="inputUsername" placeholder="Enter Username" maxlength="20" required>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputPassword">Password</label>
                        <input type="password" name="password" class="form-control" id="inputPassword" placeholder="Enter Password" maxlength="20" required>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary" id="signupButton">Sign Up</button>
            </form>
        </div>
    </body>
</html>